"use strict";
const common_vendor = require("../../common/vendor.js");
const common_assets = require("../../common/assets.js");
const searchVue = () => "./component/search.js";
const _sfc_main = {
  components: {
    searchVue
  },
  data() {
    return {
      keyword: ""
    };
  },
  methods: {
    onSearch(event) {
      console.info(event);
    },
    onDropDown(event) {
      console.info(event[0].value);
    }
  }
};
if (!Array) {
  const _component_searchVue = common_vendor.resolveComponent("searchVue");
  const _easycom_uv_icon2 = common_vendor.resolveComponent("uv-icon");
  (_component_searchVue + _easycom_uv_icon2)();
}
const _easycom_uv_icon = () => "../../uni_modules/uv-icon/components/uv-icon/uv-icon.js";
if (!Math) {
  _easycom_uv_icon();
}
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return {
    a: common_vendor.o(($event) => $options.onSearch($event)),
    b: common_vendor.o(($event) => $options.onDropDown($event)),
    c: common_vendor.f(20, (item, index, i0) => {
      return {
        a: "04fa4988-1-" + i0,
        b: index
      };
    }),
    d: common_assets._imports_0$1,
    e: common_vendor.p({
      name: "eye"
    })
  };
}
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["render", _sfc_render]]);
wx.createPage(MiniProgramPage);
